Fdc39f98e3532c2cbf9821de69e06d9b?s=64 boxuk

albot

16 16 0

Albot is a small command line tool built as an attempt to help us with our Development process

Dependencies

Package Locked Requirement Latest Status Changelog
Npms async ~0.2.8 0.7.0

async

Higher-order functions and common patterns for asynchronous code

This dependency is not matching latest version. Please consider upgrading.

Npms aws-sdk ~1.5.0 2.0.0-rc13

aws-sdk

AWS SDK for JavaScript

This dependency is not matching latest version. Please consider upgrading.

Npms coffee-script ~1.6.2 1.7.1

coffee-script

Unfancy JavaScript

This dependency is not matching latest version. Please consider upgrading.

Npms commander ~2.0 2.2.0

commander

the complete solution for node.js command-line programs

This dependency is not matching latest version. Please consider upgrading.

Npms funcster 0.0.2 0.0.3

funcster

Function serialization and deserialization

This dependency is not matching latest version. Please consider upgrading.

Npms github ~0.1.8 0.1.14

github

NodeJS wrapper for the GitHub API

This dependency is up-to-date. Congrats and keep going!

Npms hipchat 0.0.2 0.0.3

hipchat

Full-featured HipChat interface

This dependency is not matching latest version. Please consider upgrading.

Npms jira ~0.6.0 0.8.2

jira

Wrapper for the JIRA API

This dependency is not matching latest version. Please consider upgrading.

Npms mkdirp ~0.3.5 0.3.5

mkdirp

Recursively mkdir, like `mkdir -p`

This dependency is up-to-date. Congrats and keep going!

Npms moment ~2.1.0 2.6.0

moment

Parse, manipulate, and display dates.

This dependency is not matching latest version. Please consider upgrading.

Npms nconf ~0.6.7 0.6.9

nconf

Hierarchical node.js configuration with files, environment variables, command-line arguments, and atomic object merging.

This dependency is up-to-date. Congrats and keep going!

Npms styled 0.0.1 0.0.1

styled

the console styling/colorization library that does only one thing

This dependency is up-to-date. Congrats and keep going!

Npms temp ~0.5.0 0.7.0

temp

Temporary files and directories

This dependency is not matching latest version. Please consider upgrading.

Npms underscore ~1.5.0 1.6.0

underscore

JavaScript's functional programming helper library.

This dependency is not matching latest version. Please consider upgrading.

Npms underscore.string ~2.3.1 2.3.3

underscore.string

String manipulation extensions for Underscore.js javascript library.

This dependency is up-to-date. Congrats and keep going!

Npms winston ~0.7.2 0.7.3

winston

A multi-transport async logging library for Node.js

This dependency is up-to-date. Congrats and keep going!

Npms xregexp ~2.0.0 2.0.0

xregexp

Extended JavaScript regular expressions

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Npms chai ~1.7.0 1.9.1

chai

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

This dependency is not matching latest version. Please consider upgrading.

Npms coveralls ~2.1 2.10.0

coveralls

takes json-cov output into stdin and POSTs to coveralls.io

This dependency is not matching latest version. Please consider upgrading.

Npms covershot ~0.2.0 0.2.0

covershot

Multi-format, test framework agnostic, code coverage report generator.

This dependency is up-to-date. Congrats and keep going!

Npms grunt ~0.4.1 0.4.4

grunt

The JavaScript Task Runner

This dependency is up-to-date. Congrats and keep going!

Npms grunt-cli ~0.1.8 0.1.13

grunt-cli

The grunt command line interface.

This dependency is up-to-date. Congrats and keep going!

Npms grunt-coffee-coverage ~0.1.1 0.1.5

grunt-coffee-coverage

JSCoverage-style instrumentation for CoffeeScript files.

This dependency is up-to-date. Congrats and keep going!

Npms grunt-coffeelint ~0.0.7 0.0.10

grunt-coffeelint

Lint your Coffee

This dependency is up-to-date. Congrats and keep going!

Npms grunt-contrib-clean ~0.5 0.5.0

grunt-contrib-clean

Clean files and folders.

This dependency is up-to-date. Congrats and keep going!

Npms grunt-env ~0.4.0 0.4.1

grunt-env

Specify an ENV configuration for future tasks in the chain

This dependency is up-to-date. Congrats and keep going!

Npms grunt-exec ~0.4.0 0.4.5

grunt-exec

Grunt task for executing shell commands.

This dependency is up-to-date. Congrats and keep going!

Npms grunt-mocha-cli ~1.0.5 1.8.0

grunt-mocha-cli

Run Mocha server-side tests in Grunt.

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-release ~0.5 0.7.0

grunt-release

Release a new version of your Node-based project

This dependency is not matching latest version. Please consider upgrading.

Npms matchdep ~0.1.2 0.3.0

matchdep

Use globule to filter npm module dependencies by name.

This dependency is not matching latest version. Please consider upgrading.

Npms nock ~0.22 0.27.3

nock

HTTP Server mocking for Node.js

This dependency is not matching latest version. Please consider upgrading.

Npms schmock 0.0.5 0.0.5

schmock

A mock object library for Node.js

This dependency is up-to-date. Congrats and keep going!